steps=[1];

if any(steps==1) % Model %{{{
	md=model;
end %}}}

if any(steps==2) % squaremesh %{{{
	md=squaremesh(md,100,200,15,25);
	plotmodel(md,'data','mesh');
end %}}}

if any(steps==3) % roundmesh %{{{
	md=roundmesh(model,100,10);
	plotmodel(md,'data','mesh');
end %}}}

if any(steps==4) % triangle %{{{
	md=triangle(model,'Square.exp',.2);
	plotmodel(md,'data','mesh');
end %}}}

if any(steps==5) % bamg %{{{
	md=bamg(model,'domain','Square.exp','hmax',.05);
	plotmodel(md,'data','mesh');
end %}}}

if any(steps==6) % Non-Uniform mesh %{{{
	hvertices=[0.2;0.2;0.005;0.2];
	md=bamg(md,'domain','Square.exp','hvertices',hvertices);
	plotmodel(md,'data','mesh');
end %}}}

if any(steps==7) % Mesh adaptation %{{{
	md=bamg(model,'domain','Square.exp','hmax',.05);
	vel=shock(md.mesh.x,md.mesh.y);
	plotmodel(md,'data',vel,'edgecolor','w');

	md=bamg(model,'domain','Square.exp','hmax',.005);
	vel=shock(md.mesh.x,md.mesh.y);
	md=bamg(md,'field',vel,'err',0.05,'hmin',0.005,'hmax',0.3);
	vel=shock(md.mesh.x,md.mesh.y);
	plotmodel(md,'data',vel,'edgecolor','w');

	md=bamg(model,'domain','Square.exp','hmax',.005);
	vel=shock(md.mesh.x,md.mesh.y);
	md=bamg(md,'field',vel,'err',0.03,'hmin',0.005,'hmax',0.3,'gradation',3);
	vel=shock(md.mesh.x,md.mesh.y);
	plotmodel(md,'data',vel,'edgecolor','w');

	md=bamg(model,'domain','Square.exp','hmax',.005);
	vel=shock(md.mesh.x,md.mesh.y);
	md=bamg(md,'field',vel,'err',0.03,'hmin',0.005,'hmax',0.3,'gradation',1.3,'anisomax',1);
	vel=shock(md.mesh.x,md.mesh.y);
	plotmodel(md,'data',vel,'edgecolor','w');
end %}}}

if any(steps==8) % Mesh refinement in a specific region %{{{
	plotmodel(md,'data',vel,'edgecolor','w');
	exptool('refinement.exp');
	h=NaN*ones(md.mesh.numberofvertices,1);
	in=ContourToNodes(md.mesh.x,md.mesh.y,'refinement.exp',1);
	h(find(in))=0.02;
	plotmodel(md,'data',in,'edgecolor','w');

	vel=shock(md.mesh.x,md.mesh.y);
	md=bamg(md,'field',vel,'err',0.03,'hmin',0.005,'hmax',0.3,'hVertices',h);
	vel=shock(md.mesh.x,md.mesh.y);
	plotmodel(md,'data',vel,'edgecolor','w');
end %}}}
